API reference
Owner direct authority
3 management API operations for owner direct authority.
/v1/institutions/{institution_id}/owner-direct-authority-grantsInventory
POST/v1/institutions/{institution_id}/owner-direct-authority-grantsCreate
POST/v1/institutions/{institution_id}/owner-direct-authority-grants/{grant_id}/revokeRevoke
GET/v1/institutions/{institution_id}/owner-direct-authority-grants
Inventory
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/institutions/{institution_id}/owner-direct-authority-grants
Create
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredGrantCreate
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
person_id | string | Yes | Validation: min length 1; max length 128 |
administrator | boolean | No | |
project_ids | string[] | No | Validation: max items 20 |
Responses
201Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/institutions/{institution_id}/owner-direct-authority-grants/{grant_id}/revoke
Revoke
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
grant_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredRevoke
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |